Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Pfadlänge für vl-directory-files

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Pfadlänge für vl-directory-files (726 mal gelesen)
Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1162
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 23. Apr. 2013 15:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
ich kann hier Verzeichnisse erstellen bis zu einer maximalen Pfadlänge von 247 Zeichen (ich habs versucht, mehr wird nicht angenommen).
vl-directory-files kann das auch verarbeiten. 

Jetzt hab ich hier auf dem Netzlaufwerk längere Pfade
vl-directory-files kann das NICHT verarbeiten. 

Gibts da ne Lösung, außer Pfade kürzen ?

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 23. Apr. 2013 16:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Kraus 10 Unities + Antwort hilfreich

und übers FSO ?

(defun dt-directory-files (DIRNAME / FSO DIR FILES)
  (if(and(=(type DIRNAME)'STR)
        (setq FSO (vlax-create-object "Scripting.FilesystemObject"))
    )
    (progn
      (if (vlax-method-applicable-p FSO 'GETFOLDER)
        (if(vl-catch-all-error-p
            (setq DIR(vl-catch-all-apply
                          'vlax-invoke-method
                          (list FSO
                                'GETFOLDER
                                FOLDERNAME
                          )
                        )                             
            )               
          )
          (setq DIR nil)

      )
      (if (and DIR
              (vlax-property-available-p DIR "FILES")
              (not(vl-catch-all-error-p
                    (setq DIR(vl-catch-all-apply
                                  'vlax-get-property
                                  (list DIR "FILES")
                                )
                    )
                  )
              )
          )
        (vlax-for ITEM DIR (setq FILES(cons (vlax-get-property ITEM 'NAME) FILES)))       
      ) 
      (vlax-release-object FSO)
      FILES
    ) 
  ) 
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1162
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 23. Apr. 2013 16:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Interessant !!!
Muss ich mir mal reintun
(hab ich glaub ich schon mal gesehen, habs aber damals nicht gerafft - nächster Versuch  )

Danke

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz